#ifndef _JBSO_
#define _JBSO_ #1#
/*
JBSO Version 1.1 - A Csound framework for an object oriented development style

DESCRIPTION
JBSO is a framework of opcodes (UDOs) and macros to help programmers developing
in an object oriented style. JBSO takes care of some basic accounting, has
utility opcodes to ease systematic design and supplies macros for standard
constants like error codes.

To use JBSO simply includee this file at the top of your orchestra and before
any other include file or UDOs making use of this framework.
*/

; Macro definitions
; JBSO version
#define JBSO_VER_MAJOR #1#
#define JBSO_VER_MINOR #1#

; Error macros
#define JBSO_STAT_OK #1# ; success
#define JBSO_STAT_WARN #0# ; recoverable warning
#define JBSO_STAT_INFO #2# ; non-warning information
#define JBSO_STAT_ERR #-1# ; irrecoverable error

; Include all JBSO User Defined Opcodes (UDOs)
; System opcodes, relating purely to the JBSO framework
#include "m_jbso_init.udo"
#include "m_jbso_is_valid.udo"
#include "m_jbso_get_version.udo"
#include "m_jbso_get_count.udo"
#include "m_jbso_is_class.udo"
#include "m_jbso_class_version.udo"

; Class/object opcodes, relating to JBSO types and objects
#include "m_jbsoc_is_object.udo"
#include "m_jbsoc_get_size.udo"
#include "m_jbsoc_get_count.udo"
#include "m_jbsoc_get_id.udo"
#include "m_jbsoc_new.udo"
#include "m_jbsoc_delete.udo"
#include "m_jbsoc_get_status.udo"
#include "m_jbsoc_move_status.udo"
#include "m_jbsoc_set_status.udo"
#include "m_jbsoc_get_status_string.udo"
#include "m_jbsoc_move_status_string.udo"
#include "m_jbsoc_set_status_string.udo"

#end
