/*
m_jbso_class_version - Return the version of a JBSO class API

DESCRIPTION
Return the version of JBSO class API. For this to work, the class must be
initialised.

SYNTAX
iMajor, iMinor m_jbso_class_version SclassName

INITIALIZATION
iMajor - Major version number or -1 if the class doesn't exist
iMinor - Minor version number or -1, if the class doesn't exist
SclassName - Name denoting a JBSO class

PERFORMANCE

CREDITS
Author: Jeanette C.
*/

opcode m_jbso_class_version, ii, S
	SclassName xin

	iMinor init -1
	iMajor init -1

	; Create the class' Global channel name
	SclassGlobal = strcat(strcat("JBSO.", SclassName), ".Global")

	; Check if the class already exists
	if (chnget:i(strcat(SclassGlobal, ".Valid")) == $JBSO_STAT_OK) then
		iMajor = chnget:i(strcat(SclassGlobal, ".VersionMajor"))
		iMinor = chnget:i(strcat(SclassGlobal, ".VersionMinor"))
	endif

	; Return major and minor version
	xout(iMajor, iMinor)
endop
