/*
m_jbso_init - Initialise the JBSO object system

DESCRIPTION
Initialise the JBSO object system, i.e. set up a few global channels for
management.

SYNTAX
m_jbso_init

INITIALIZATION

PERFORMANCE

CREDITS
Author: Jeanette C.
*/

opcode m_jbso_init, 0, 0
	; Only perform if the system isn't already set up
	if (chnget:k("JBSO.Global.Valid") == 0) then
		chn_k("JBSO.Global.Count",3)
		chnset(0, "JBSO.Global.Count")
		chn_k("JBSO.Global.Valid", 3)
		chnset($JBSO_STAT_OK, "JBSO.Global.Valid")
		chn_k("JBSO.Global.VersionMajor", 3)
		chnset($JBSO_VER_MAJOR, "JBSO.Global.VersionMajor")
		chn_k("JBSO.Global.VersionMinor", 3)
		chnset($JBSO_VER_MINOR, "JBSO.Global.VersionMinor")
		chn_k("JBSO.Global.Header1", 3)
		chn_k("JBSO.Global.Header2", 3)
		chn_k("JBSO.Global.Header3", 3)
		chn_k("JBSO.Global.Header4", 3)
		chnset(112, "JBSO.Global.Header1")
		chnset(102, "JBSO.Global.Header2")
		chnset(123, "JBSO.Global.Header3")
		chnset(117, "JBSO.Global.Header4")
	endif
endop
