/*
m_jbso_is_class - Check whether the supplied name is a valid JBSO classname

DESCRIPTION
Check whether the supplied name denotes an existing JBSO class. This will only
work once the class has been setup.

SYNTAX
kValid m_jbso_is_class SclassName

INITIALIZATION

PERFORMANCE
kValid - 1 if the name denotes an existing class, 0 otherwise
SclassName - Potential name of a JBSO class

CREDITS
Author: Jeanette C.
*/

opcode m_jbso_is_class, k, S
	SclassName xin

	; Create the channel name to check the class' global Valid attribute
	SchannelName = strcat(strcat("JBSO.", SclassName), ".Global.Valid")

	; Return the value stored in this channel
	kValid = chnget:k(SchannelName)

	xout(kValid)
endop
