/*
m_jbsoc_get_count - Return the number of existing objects of the given class

DESCRIPTION
Return the number of existing objects of the given class, or $JBSO_STAT_ERR
otherwise.

SYNTAX
kNumberOfObjects m_jbsoc_get_count SclassName

INITIALIZATION

PERFORMANCE
kNumberOfObjects - The number of currently existing objects or $JBSO_STAT_ERR
	on error
SclassName - Name of the class to count objects from

CREDITS
Author: Jeanette C.
*/

opcode m_jbsoc_get_count, k, S
	SclassName xin

	; Set up the channel name of the class' global data
	SglobalName = strcat(strcat("JBSO.", SclassName), ".Global")

	; Initialise the counter
	kCount init $JBSO_STAT_ERR

	if (chnget:k(strcat(SglobalName, ".Valid")) == $JBSO_STAT_OK) then
		kCount = chnget:k(strcat(SglobalName, ".Count"))
	endif

	; Return the object count
	xout(kCount)
endop
