/*
m_jbsoc_get_id - Return the numerical ID of a JBSO object

DESCRIPTION
Return the numerical ID of a JBSO object. This ID is used for management
purposes.

SYNTAX
iID m_jbsoc_get_id SclassName, Sname

INITIALIZATION
iId - The object's ID or $JBSO_STAT_ERR on error
SclassName - Name of the object's class
Sname - Name of the object

PERFORMANCE

CREDITS
Author: Jeanette C.
*/

opcode m_jbsoc_get_id, i, SS
	SclassName, Sname xin

	; Initialise the local return value
	iId init $JBSO_STAT_ERR

	; Create the object's channel name
	Sobject = strcat(strcat(strcat("JBSO.", SclassName), "."), Sname)
	
	; Check the ID, if the object exists
	if (chnget:i(strcat(Sobject, ".Valid")) == $JBSO_STAT_OK) then
		iId = chnget:i(strcat(Sobject, ".ID"))
	endif

	; Return the ID
	xout(iId)
endop
