/*
m_jbsoc_is_object - Check whether a name refers to an object of a partiulcar class

DESCRIPTION
Check whether the supplied name refers to an object of the given class.

SYNTAX
kValid m_jbsoc_is_object SclassName, Sname

INITIALIZATION

PERFORMANCE
kValid - 1 if this is an object of the given class, 0 otherwise
SclassName - Name of the class in question
Sname - Name of the object to check

CREDITS
Author: Jeanette C.
*/

opcode m_jbsoc_is_object, k, SS
	SclassName, Sname xin

	; Initialise local return value
	kValid init 0

	; Create the full JBSO object channel name
	Sobject = strcat(strcat(strcat("JBSO.", SclassName), "."), Sname)

	; Return the value of the named valid channel, will be 0 if nonexistent
	kValid = chnget:k(strcat(Sobject, ".Valid"))

	xout(kValid)
endop
