/*
m_jbsoc_set_status_string - Set an object's status message

DESCRIPTION
Set an object's status message.

SYNTAX
kResult m_jbsoc_set_status_string SclassName, Sname, SstatusString

INITIALIZATION

PERFORMANCE
kResult - Result of the operation, $JBSO_STAT_ERR if the object does not
	exist
SclassName - The object type's name
Sname - The objects name
SstatusString - The message to be set

CREDITS
Author: Jeanette C.
*/

opcode m_jbsoc_set_status_string, k, SSS
	SclassName, Sname, SstatusString xin
	
	; Initialise values
	kResult init $JBSO_STAT_ERR
	
	; Create object channel name
	Sobject = strcat(strcat(strcat("JBSO.", SclassName), "."), Sname)

	; Check if the object exists
	if (chnget:k(strcat(Sobject, ".Valid")) == $JBSO_STAT_OK) then
		chnset(SstatusString, strcat(Sobject, ".StatusString"))
	else
		kResult = $JBSO_STAT_ERR
	endif

	; Return the result
	xout(kResult)
endop
